Xalan-Java 2.7.1: Class SyntaxTreeNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler
Class SyntaxTreeNode

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.SyntaxTreeNode

Direct Known Subclasses:
  org.apache.xalan.xsltc.compiler.Expression, Stylesheet, org.apache.xalan.xsltc.compiler.TopLevelElement

public abstract class SyntaxTreeNode
extends java.lang.Object
implements Constants

Field Summary
`static int` | `UNKNOWN_STYLESHEET_NODE_ID`

Constructor Summary
`SyntaxTreeNode()` Creates a new SyntaxTreeNode with a 'null' QName and no source file line number reference.
`SyntaxTreeNode(int line)` Creates a new SyntaxTreeNode with a 'null' QName.
`SyntaxTreeNode(java.lang.String uri, java.lang.String prefix, java.lang.String local)` Creates a new SyntaxTreeNode with no source file line number reference.

Method Summary
`void` | `display(int indent)` Displays the contents of this syntax tree node (to stdout).
`int` | `getLineNumber()` Get the source file line number for this element.
`Parser` | `getParser()` Returns this node's XSLT parser.
`Stylesheet` | `getStylesheet()` Get the Stylesheet node that represents the element that this node occured under.
`void` | `parseContents(Parser parser)` Parse the contents of this syntax tree nodes (child nodes, XPath expressions, patterns and functions).
`abstract void` | `translate(ClassGenerator classGen, MethodGenerator methodGen)` Translate this abstract syntax tree node into JVM bytecodes.
`abstract Type` | `typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)` Type check the children of this node.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_STYLESHEET_NODE_ID

    public static final int UNKNOWN_STYLESHEET_NODE_ID

Constructor Detail

### SyntaxTreeNode

    public SyntaxTreeNode()

  Creates a new SyntaxTreeNode with a 'null' QName and no source file line number reference.

### SyntaxTreeNode

    public SyntaxTreeNode(int line)

  Creates a new SyntaxTreeNode with a 'null' QName.
  Parameters:
    `line` - Source file line number reference

### SyntaxTreeNode

    public SyntaxTreeNode(java.lang.String uri,
                          java.lang.String prefix,
                          java.lang.String local)

  Creates a new SyntaxTreeNode with no source file line number reference.
  Parameters:
    `uri` - The element's namespace URI
    `prefix` - The element's namespace prefix
    `local` - The element's local name

Method Detail

### getLineNumber

    public final int getLineNumber()

  Get the source file line number for this element. If unavailable, lookup in ancestors.
  Returns:
    The source file line number.

### getParser

    public final Parser getParser()

  Returns this node's XSLT parser.
  Returns:
    The XSLT parser.

### getStylesheet

    public Stylesheet getStylesheet()

  Get the Stylesheet node that represents the element that this node occured under.
  Returns:
    The Stylesheet ancestor node of this node.

### parseContents

    public void parseContents(Parser parser)

  Parse the contents of this syntax tree nodes (child nodes, XPath expressions, patterns and functions). The default behaviour is to parser the syntax tree node's children (since there are no common expressions, patterns, etc. that can be handled in this base class.
  Parameters:
    `parser` - reference to the XSLT parser

### typeCheck

    public abstract Type typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)
                            throws TypeCheckError

  Type check the children of this node. The type check phase may add coercions (CastExpr) to the AST.
  Parameters:
    `stable` - The compiler/parser's symbol table

### translate

    public abstract void translate(ClassGenerator classGen,
                                   MethodGenerator methodGen)

  Translate this abstract syntax tree node into JVM bytecodes.
  Parameters:
    `classGen` - BCEL Java class generator
    `methodGen` - BCEL Java method generator

### display

    public void display(int indent)

  Displays the contents of this syntax tree node (to stdout). This method is intended for debugging _only_, and should be overridden by all syntax tree node implementations.
  Parameters:
    `indent` - Indentation level for syntax tree levels.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.